import { aws_s3 as s3 } from 'aws-cdk-lib';
import { Construct } from 'constructs';
/**
 * @stability stable
 */
export interface RenovoS3BucketProps {
    /**
     * Rules that define how Amazon S3 manages objects during their lifetime.
     *
     * @stability stable
     */
    readonly lifecycleRules: s3.LifecycleRule[];
    /**
     * The name of the bucket.
     *
     * @stability stable
     */
    readonly name?: string;
}
/**
 * @stability stable
 */
export declare class RenovoS3Bucket extends Construct {
    /**
     * @stability stable
     */
    readonly bucket: s3.Bucket;
    /**
     * @stability stable
     */
    constructor(scope: Construct, id: string, props: RenovoS3BucketProps);
}
